package handler

import (
	"git.coopgo.io/coopgo-platform/carpool-service/storage"
	"github.com/spf13/viper"
)

type CarpoolServiceHandler struct {
	Config  *viper.Viper
	Storage storage.Storage
}

func NewCarpoolServiceHandler(cfg *viper.Viper, storage storage.Storage) (*CarpoolServiceHandler, error) {
	return &CarpoolServiceHandler{
		Config:  cfg,
		Storage: storage,
	}, nil
}
